Bug 1852014 (CVE-2020-14311) - CVE-2020-14311 grub2: Integer overflow in grub_ext2_read_link leads to heap-based buffer overflow
Summary: CVE-2020-14311 grub2: Integer overflow in grub_ext2_read_link leads to heap-b...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-14311
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1854446 1854447 1854448 1854449 1854450 1854451 1854452 1854453 1854454 1854455 1854456 1863018
Blocks: 1852004
TreeView+ depends on / blocked
 
Reported: 2020-06-29 15:27 UTC by Marco Benatto
Modified: 2020-08-03 13:45 UTC (History)
5 users (show)

Fixed In Version: grub 2.06
Doc Type: If docs needed, set a value
Doc Text:
There is an issue with grub2 while handling symlink on ext filesystems. A filesystem containing a symbolic link with an inode size of UINT32_MAX causes an arithmetic overflow leading to a zero-sized memory allocation with subsequent heap-based buffer overflow.
Clone Of:
Environment:
Last Closed: 2020-07-29 19:27:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3216 None None None 2020-07-29 18:30:44 UTC
Red Hat Product Errata RHSA-2020:3217 None None None 2020-07-29 19:34:02 UTC
Red Hat Product Errata RHSA-2020:3223 None None None 2020-07-29 19:37:52 UTC
Red Hat Product Errata RHSA-2020:3227 None None None 2020-07-29 20:14:46 UTC
Red Hat Product Errata RHSA-2020:3271 None None None 2020-08-03 11:52:40 UTC
Red Hat Product Errata RHSA-2020:3273 None None None 2020-08-03 10:57:02 UTC
Red Hat Product Errata RHSA-2020:3274 None None None 2020-08-03 12:05:58 UTC
Red Hat Product Errata RHSA-2020:3275 None None None 2020-08-03 11:14:06 UTC
Red Hat Product Errata RHSA-2020:3276 None None None 2020-08-03 12:02:33 UTC

Description Marco Benatto 2020-06-29 15:27:39 UTC
Integer overflow in grub_ext2_read_link triggered by a specially crafted ext4 filesystem containing a symlink inode with a size of UINT32_MAX, which leads to a zero-sized allocation and subsequent heap buffer overflow with attacker controlled data.

Comment 3 Marco Benatto 2020-07-07 15:25:16 UTC
Acknowledgments:

Name: Chris Coulson (Ubuntu Security Team)

Comment 6 errata-xmlrpc 2020-07-29 18:30:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3216 https://access.redhat.com/errata/RHSA-2020:3216

Comment 7 Product Security DevOps Team 2020-07-29 19:27:49 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14311

Comment 8 errata-xmlrpc 2020-07-29 19:33:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3217 https://access.redhat.com/errata/RHSA-2020:3217

Comment 9 errata-xmlrpc 2020-07-29 19:37:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3223 https://access.redhat.com/errata/RHSA-2020:3223

Comment 10 errata-xmlrpc 2020-07-29 20:14:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3227 https://access.redhat.com/errata/RHSA-2020:3227

Comment 11 errata-xmlrpc 2020-08-03 10:57:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Advanced Update Support

Via RHSA-2020:3273 https://access.redhat.com/errata/RHSA-2020:3273

Comment 12 errata-xmlrpc 2020-08-03 11:14:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Advanced Update Support
  Red Hat Enterprise Linux 7.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.4 Telco Extended Update Support

Via RHSA-2020:3275 https://access.redhat.com/errata/RHSA-2020:3275

Comment 13 errata-xmlrpc 2020-08-03 11:52:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2020:3271 https://access.redhat.com/errata/RHSA-2020:3271

Comment 14 errata-xmlrpc 2020-08-03 12:02:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Advanced Update Support
  Red Hat Enterprise Linux 7.3 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.3 Telco Extended Update Support

Via RHSA-2020:3276 https://access.redhat.com/errata/RHSA-2020:3276

Comment 15 errata-xmlrpc 2020-08-03 12:05:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2020:3274 https://access.redhat.com/errata/RHSA-2020:3274

Comment 16 Marco Benatto 2020-08-03 13:45:32 UTC
Created grub2 tracking bugs for this issue:

Affects: fedora-all [bug 1863018]


Note You need to log in before you can comment on or make changes to this bug.